Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IMediaRecorder2Ex Class Referenceabstract

`#include <agora_media_recorder_i.h>`

Inherits agora::rtc::IMediaRecorder2.

## Public Member Functions
| IMediaRecorder2Ex ()=default
virtual | ~IMediaRecorder2Ex ()
virtual int | setRecorderConfigLLApiInternal (const media::MediaRecorderConfiguration &config)=0
virtual int | setVideoTrackLLApiInternal (agora_refptr< IVideoTrack > track)=0
virtual int | setEnabledRecordeRtcEncodedSourceLLApiInternal (bool enable)=0
virtual int | removeVideoTrackLLApiInternal ()=0
virtual int | setAudioTrackLLApiInternal (agora_refptr< IAudioTrack > track)=0
virtual int | removeAudioTrackLLApiInternal ()=0
virtual int | startRecordingLLApiInternal ()=0
virtual int | stopRecordingLLApiInternal ()=0
virtual int | setRtcConnectionLLApiInternal (agora_refptr< rtc::IRtcConnection > connection)=0
Public Member Functions inherited from agora::rtc::IMediaRecorder2
virtual int | setRecorderConfig (const media::MediaRecorderConfiguration &config, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setEnabledRecordeRtcEncodedSource (bool enable, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setVideoTrack (agora_refptr< IVideoTrack > track, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | removeVideoTrack (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setAudioTrack (agora_refptr< IAudioTrack > track, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | removeAudioTrack (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | startRecording (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | stopRecording (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setRtcConnection (agora_refptr< rtc::IRtcConnection > connection, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual | ~IMediaRecorder2 ()
Public Member Functions inherited from agora::rtc::IMediaRecorder
virtual int | setMediaRecorderObserver (media::IMediaRecorderObserver *callback)=0
virtual int | startRecording (const media::MediaRecorderConfiguration &config)=0
virtual int | stopRecording ()=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::rtc::IMediaRecorder
virtual | ~IMediaRecorder ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ IMediaRecorder2Ex()

agora::rtc::IMediaRecorder2Ex::IMediaRecorder2Ex | ( |  | ) |
| default

## ◆ ~IMediaRecorder2Ex()

virtual agora::rtc::IMediaRecorder2Ex::~IMediaRecorder2Ex | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ setRecorderConfigLLApiInternal()

virtual int agora::rtc::IMediaRecorder2Ex::setRecorderConfigLLApiInternal | ( | const media::MediaRecorderConfiguration & | config | ) |
| pure virtual

## ◆ setVideoTrackLLApiInternal()

virtual int agora::rtc::IMediaRecorder2Ex::setVideoTrackLLApiInternal | ( | agora_refptr< IVideoTrack > | track | ) |
| pure virtual

## ◆ setEnabledRecordeRtcEncodedSourceLLApiInternal()

virtual int agora::rtc::IMediaRecorder2Ex::setEnabledRecordeRtcEncodedSourceLLApiInternal | ( | bool | enable | ) |
| pure virtual

## ◆ removeVideoTrackLLApiInternal()

virtual int agora::rtc::IMediaRecorder2Ex::removeVideoTrackLLApiInternal | ( |  | ) |
| pure virtual

## ◆ setAudioTrackLLApiInternal()

virtual int agora::rtc::IMediaRecorder2Ex::setAudioTrackLLApiInternal | ( | agora_refptr< IAudioTrack > | track | ) |
| pure virtual

## ◆ removeAudioTrackLLApiInternal()

virtual int agora::rtc::IMediaRecorder2Ex::removeAudioTrackLLApiInternal | ( |  | ) |
| pure virtual

## ◆ startRecordingLLApiInternal()

virtual int agora::rtc::IMediaRecorder2Ex::startRecordingLLApiInternal | ( |  | ) |
| pure virtual

## ◆ stopRecordingLLApiInternal()

virtual int agora::rtc::IMediaRecorder2Ex::stopRecordingLLApiInternal | ( |  | ) |
| pure virtual

## ◆ setRtcConnectionLLApiInternal()

virtual int agora::rtc::IMediaRecorder2Ex::setRtcConnectionLLApiInternal | ( | agora_refptr< rtc::IRtcConnection > | connection | ) |
| pure virtual